Bug 189178 - Expose -apple-system-container-border color to internal web views
Summary: Expose -apple-system-container-border color to internal web views
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-08-30 17:40 PDT by James Savage
Modified: 2018-09-11 16:41 PDT (History)
11 users (show)

See Also:


Attachments
Patch (7.11 KB, patch)
2018-08-30 17:48 PDT, James Savage
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (2.41 MB, application/zip)
2018-08-30 18:50 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-sierra (3.02 MB, application/zip)
2018-08-30 19:41 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-sierra-wk2 (2.93 MB, application/zip)
2018-08-30 20:18 PDT, Build Bot
no flags Details
Patch (6.04 KB, patch)
2018-09-05 23:45 PDT, James Savage
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (2.29 MB, application/zip)
2018-09-06 00:59 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-sierra-wk2 (2.90 MB, application/zip)
2018-09-06 01:13 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-sierra (3.68 MB, application/zip)
2018-09-06 12:42 PDT, Build Bot
no flags Details
Patch for EWS (8.46 KB, patch)
2018-09-07 17:59 PDT, James Savage
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-sierra (2.49 MB, application/zip)
2018-09-07 19:04 PDT, Build Bot
no flags Details
Patch (8.45 KB, patch)
2018-09-07 19:37 PDT, James Savage
no flags Details | Formatted Diff | Diff
Follow up changes for High Sierra (3.56 KB, patch)
2018-09-10 18:00 PDT, James Savage
timothy: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Follow up changes for High Sierra (3.54 KB, patch)
2018-09-11 15:15 PDT, James Savage
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Savage 2018-08-30 17:40:41 PDT
<rdar://problem/41749096>
Comment 1 James Savage 2018-08-30 17:48:44 PDT
Created attachment 348575 [details]
Patch
Comment 2 Build Bot 2018-08-30 18:50:33 PDT Comment hidden (obsolete)
Comment 3 Build Bot 2018-08-30 18:50:35 PDT Comment hidden (obsolete)
Comment 4 Build Bot 2018-08-30 19:41:18 PDT Comment hidden (obsolete)
Comment 5 Build Bot 2018-08-30 19:41:20 PDT Comment hidden (obsolete)
Comment 6 Build Bot 2018-08-30 20:18:40 PDT Comment hidden (obsolete)
Comment 7 Build Bot 2018-08-30 20:18:42 PDT Comment hidden (obsolete)
Comment 8 Radar WebKit Bug Importer 2018-08-31 08:56:28 PDT
<rdar://problem/43941916>
Comment 9 Timothy Hatcher 2018-08-31 12:50:11 PDT
Comment on attachment 348575 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=348575&action=review

> Source/WebCore/rendering/RenderThemeMac.mm:680
> +        case CSSValueAppleSystemContainerBorder:
> +#if __MAC_OS_X_VERSION_MIN_REQUIRED >= 101400
> +            return systemAppearanceColor(cache.systemContainerBorderColor, @selector(containerBorderColor));
> +#else
> +            return 0xFFC5C5C5;
> +#endif

You only need to handle it here and use the special cache.systemContainerBorderColor if this color is different based on accent color. I don't think it is, so yo can simplify this patch by handling it with the other system colors further down in this file.
Comment 10 James Savage 2018-09-05 23:45:45 PDT
Created attachment 349003 [details]
Patch
Comment 11 Build Bot 2018-09-06 00:59:09 PDT Comment hidden (obsolete)
Comment 12 Build Bot 2018-09-06 00:59:11 PDT Comment hidden (obsolete)
Comment 13 James Savage 2018-09-06 01:04:21 PDT
Okay I give up. Which expectation file do I need to edit for EWS to see the right results? The tests passed when I ran them locally.
Comment 14 Build Bot 2018-09-06 01:13:50 PDT Comment hidden (obsolete)
Comment 15 Build Bot 2018-09-06 01:13:52 PDT Comment hidden (obsolete)
Comment 16 Build Bot 2018-09-06 12:41:58 PDT Comment hidden (obsolete)
Comment 17 Build Bot 2018-09-06 12:42:00 PDT Comment hidden (obsolete)
Comment 18 Timothy Hatcher 2018-09-06 16:49:45 PDT
Comment on attachment 349003 [details]
Patch

You need to commit platform specific results to make the tests happy.
Comment 19 James Savage 2018-09-07 15:09:00 PDT
(In reply to Timothy Hatcher from comment #18)
> Comment on attachment 349003 [details]
> Patch
> 
> You need to commit platform specific results to make the tests happy.

Do you know specifically which file. Iā€™m assuming its LayoutTests/platform/mac/fast/css/apple-system-colors-expected.txt, but I was basing this off your change in <https://trac.webkit.org/changeset/232847/webkit/> which only touched LayoutTests/fast/css/apple-system-control-colors-expected.txt.
Comment 20 James Savage 2018-09-07 17:59:42 PDT
Created attachment 349222 [details]
Patch for EWS
Comment 21 Build Bot 2018-09-07 19:04:18 PDT Comment hidden (obsolete)
Comment 22 Build Bot 2018-09-07 19:04:20 PDT Comment hidden (obsolete)
Comment 23 James Savage 2018-09-07 19:37:31 PDT
Created attachment 349232 [details]
Patch
Comment 24 WebKit Commit Bot 2018-09-10 15:16:44 PDT
Comment on attachment 349232 [details]
Patch

Clearing flags on attachment: 349232

Committed r235866: <https://trac.webkit.org/changeset/235866>
Comment 25 WebKit Commit Bot 2018-09-10 15:16:46 PDT
All reviewed patches have been landed.  Closing bug.
Comment 26 Truitt Savell 2018-09-10 16:34:43 PDT
Looks like https://trac.webkit.org/changeset/235866/webkit

Has caused fast/css/apple-system-control-colors.html to fail on High Sierra currently. 


Test History:
https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=fast%2Fcss%2Fapple-system-control-colors.html

Diff:
--- /Volumes/Data/slave/highsierra-release-tests-wk1/build/layout-test-results/fast/css/apple-system-control-colors-expected.txt
+++ /Volumes/Data/slave/highsierra-release-tests-wk1/build/layout-test-results/fast/css/apple-system-control-colors-actual.txt
@@ -19,5 +19,5 @@
 -apple-system-quaternary-label : rgba(0, 0, 0, 0.0980392)
 -apple-system-grid : rgb(204, 204, 204)
 -apple-system-separator : rgb(204, 204, 204)
--apple-system-container-border : rgb(197, 197, 197)
+-apple-system-container-border : rgba(0, 0, 0, 0)
 current-color with inherited -apple-system-label : rgba(0, 0, 0, 0.85098)
Comment 27 Truitt Savell 2018-09-10 16:55:24 PDT
Test rebaselined in https://trac.webkit.org/changeset/235874/webkit
Comment 28 James Savage 2018-09-10 18:00:55 PDT
Created attachment 349366 [details]
Follow up changes for High Sierra
Comment 29 Ryan Haddad 2018-09-10 19:56:13 PDT
Reopening for follow up patch.
Comment 30 WebKit Commit Bot 2018-09-11 10:14:36 PDT
Comment on attachment 349366 [details]
Follow up changes for High Sierra

Rejecting attachment 349366 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'validate-changelog', '--check-oops', '--non-interactive', 349366, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

ChangeLog entry in Source/WebCore/ChangeLog contains OOPS!.

Full output: https://webkit-queues.webkit.org/results/9174138
Comment 31 Timothy Hatcher 2018-09-11 10:17:12 PDT
Comment on attachment 349366 [details]
Follow up changes for High Sierra

View in context: https://bugs.webkit.org/attachment.cgi?id=349366&action=review

> Source/WebCore/ChangeLog:9
> +        No new tests (OOPS!).

Needs removed to land.
Comment 32 James Savage 2018-09-11 15:15:34 PDT
Created attachment 349470 [details]
Follow up changes for High Sierra
Comment 33 ews-feeder 2018-09-11 15:51:03 PDT
Comment on attachment 349470 [details]
Follow up changes for High Sierra

Rejecting attachment 349470 [details] from commit-queue.

james.savage@apple.com does not have committer permissions according to https://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/contributors.json.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/contributors.json by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 34 WebKit Commit Bot 2018-09-11 16:41:56 PDT
Comment on attachment 349470 [details]
Follow up changes for High Sierra

Clearing flags on attachment: 349470

Committed r235922: <https://trac.webkit.org/changeset/235922>
Comment 35 WebKit Commit Bot 2018-09-11 16:41:58 PDT
All reviewed patches have been landed.  Closing bug.